TestNs\MyApp\CustomerType:
    properties:
        crmId:
            expose: true
            access_type: public_method
            serialized_name: crmId
            accessor:
                getter: getCrmId
                setter: setCrmId
            xml_attribute: true
            type: int
        businessCode:
            expose: true
            access_type: public_method
            serialized_name: businessCode
            accessor:
                getter: getBusinessCode
                setter: setBusinessCode
            xml_attribute: true
            type: string
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        taxpayerNumber:
            expose: true
            access_type: public_method
            serialized_name: taxpayerNumber
            accessor:
                getter: getTaxpayerNumber
                setter: setTaxpayerNumber
            xml_attribute: true
            type: string
        commercialRegistryNumber:
            expose: true
            access_type: public_method
            serialized_name: commercialRegistryNumber
            accessor:
                getter: getCommercialRegistryNumber
                setter: setCommercialRegistryNumber
            xml_attribute: true
            type: string
        settlementMode:
            expose: true
            access_type: public_method
            serialized_name: settlement-mode
            accessor:
                getter: getSettlementMode
                setter: setSettlementMode
            type: TestNs\MyApp\SettlementModeType
